Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575139 - db backups are called miq_backup_<datetime> in pv
Summary: db backups are called miq_backup_<datetime> in pv
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: cfme-openshift-postgresql
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: cfme-future
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 20:52 UTC by Ievgen Zapolskyi
Modified: 2019-08-22 00:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 15:28:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Ievgen Zapolskyi 2018-05-04 20:52:53 UTC
Description of problem:
When cloudforms db snapshot is made using cloudforms-backup-job.yaml, it stores db snapshots using pattern miq_backup_<datetime>

Version-Release number of selected component (if applicable):
5.9.2.4

How reproducible:
100%

Steps to Reproduce:
1. deploy pod appliance 
2. follow db backup instruction https://github.com/ManageIQ/manageiq-pods
2. oc logs <db_backup_pod_name>

Actual results:
db data was stored into folder with miq_backup_name

Expected results:
it should be replaced with cloudforms/cfme

Comment 2 Ievgen Zapolskyi 2018-05-04 20:58:08 UTC
[root@cmqe-smicro-628-b09 cfme-5924-05012256]# oc logs cloudforms-backup-qh1sm
== Starting MIQ DB backup ==
Current time is : Fri May  4 19:17:59 UTC 2018
pg_basebackup: initiating base backup, waiting for checkpoint to complete
pg_basebackup: checkpoint completed
transaction log start point: 0/10000028 on timeline 1
108763/108763 kB (100%), 1/1 tablespace
transaction log end point: 0/10004408
pg_basebackup: base backup completed
Sucessfully finished backup : Fri May  4 19:18:21 UTC 2018
Backup stored at : /backups/miq_backup_20180504T191759

Comment 3 Ievgen Zapolskyi 2018-05-04 20:58:43 UTC
same for restore job


Note You need to log in before you can comment on or make changes to this bug.